.footer-form {
	margin-top: 40px;
  }
  .footer-form.p-error-404 {
	display: none;
  }
  .footer-form h2 {
	margin: 0 0 66px;
	font-weight: 700;
	font-size: calc(30px + (50 - 40) * ((100vw - 922px) / (1920 - 922)));
	line-height: calc(50px + (62 - 50) * ((100vw - 922px) / (1920 - 922)));
	color: #fff;
  }
	@media (max-width: 922px) {
	  .footer-form h2 {
		font-size: calc(30px + (40 - 30) * ((100vw - 414px) / (922 - 414)));
		line-height: calc(36px + (50 - 36) * ((100vw - 414px) / (922 - 414)));
	  }
	}
	@media (max-width: 414px) {
	  .footer-form h2 {
		font-size: 3rem;
		line-height: 3.6rem;
	  }
	}
  .footer-form .form {
	position: relative;
	display: grid;
	grid-template-columns: 1fr 227px;
	grid-gap: 0 92px;
	margin-bottom: 131px;
	padding-right: 48px;
  }
	@media (max-width: 1920px) {
	  .footer-form .form {
		margin-bottom: calc(100px + (131 - 100) * ((100vw - 922px) / (1920 - 922)));
		padding-right: calc(0px + (48 - 0) * ((100vw - 922px) / (1920 - 922)));
	  }
	}
	@media (max-width: 922px) {
	  .footer-form .form {
		margin-bottom: 100px;
		padding-right: 0;
		grid-template-columns: 1fr;
	  }
	}
  .footer-form .form-row {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-gap: 0 calc(20px + (47 - 20) * ((100vw - 922px) / (1920 - 922)));
	margin-bottom: 23px;
  }
	@media (max-width: 922px) {
	  .footer-form .form-row {
		grid-gap: 0 20px;
	  }
	}
	@media (max-width: 580px) {
	  .footer-form .form-row {
		grid-template-columns: 1fr;
		grid-gap: 23px 0;
	  }
	}
  .footer-form .form-row:nth-child(1),
  .footer-form .form-row:nth-child(3) {
	display: flex;
  }
  .footer-form .form-col {
	display: flex;
	flex-direction: column;
  }
  .footer-form .form-control {
	width: 100%;
	font-weight: 400;
	font-size: 26px;
	line-height: 31px;
	color: #fff;
	border-top: 0;
	border-right: 0;
	border-left: 0;
	border-bottom: 1px solid rgba(226, 226, 226, 1);
	background-color: transparent;
	resize: none;
	transition: .4s;
  }
  .footer-form .form-control:focus {
	border-bottom: 1px solid rgba(226, 226, 226, .5);
	transition: .4s;
  }
  @media (max-width: 400px) {
	.footer-form input#footerMessage {
	  height: 75px;
	}
  }
  .footer-form .form-item {
	position: relative;
	padding-top: 17px;
	width: 100%;
  }
  .footer-form .form-item label {
	position: absolute;
	top: 17px;
	left: 0;
	font-weight: 400;
	font-size: 22px;
	line-height: 31px;
	color: #B1CFFF;
	background-color: transparent;
	transition: .4s;
  }
  .footer-form .form-control:focus + label, 
  .footer-form .form-control:valid + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  .form-item:hover label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  #webDevEmail:valid + label {
	top: 17px;
	font-size: 22px;
	transition: .4s;
  }
  #webDevEmail:hover + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  #webDevEmail.valid + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  #textarea:valid + label {
	top: 17px;
	font-size: 22px;
	transition: .4s;
  }
  
  #textarea:hover + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  
  #textarea.valid + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  #footerMessage:valid + label {
	top: 17px;
	font-size: 22px;
	transition: .4s;
  }
  
  #footerMessage:hover + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  
  #footerMessage.valid + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  #servModalComment:valid + label {
	top: 17px;
	font-size: calc(22px + (26 - 22) * ((100vw - 922px) / (1920 - 922)));
	transition: .4s;
  }
  
  #servModalComment:hover + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  
  #servModalComment.valid + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  #caseMessage:valid + label {
	top: 17px;
	font-size: 22px;
	transition: .4s;
  }
  
  #caseMessage:hover + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  
  #caseMessage.valid + label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  #webDevMessage:valid + label {
	top: 17px;
	font-size: 22px;
	transition: .4s;
  }
  #webDevMessage:hover+label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  #webDevMessage.valid+label {
	top: -8px;
	font-size: 1.4rem;
	transition: .4s;
  }
  .footer-form .form .text-input.error input:invalid+label {
	color: tomato;
  }
  .footer-form .form-btn {
	position: relative;
	width: 227px;
	height: 227px;
	font-weight: 800;
	font-size: 2rem;
	line-height: 2rem;
	text-align: center;
	letter-spacing: 0.02em;
	color: #FAFAFA;
	background-color: transparent;
	border: 3px solid #CAC0FC;;
	border-radius: 1.23123e6px;
	transition: .3s ease;
  }
	@media (max-width: 922px) {
	  .footer-form .form-btn {
		width: 220px;
		height: 60px;
		margin-top: 40px;
		font-size: 1.6rem;
		background-color: #BEA0FF;
		border: none;
		border-radius: 30px;
	  }
	  .footer-form .form-btn .icon {
		display: none;
	  }
	}
	.footer-form .form-btn:focus,
  .footer-form .form-btn:hover {
	background-color: #388AF3;
	border-color: #388AF3;
	transition: .3s ease;
  }
  .footer-form .form-btn .icon {
	transform: translate(0, 0) scale(1);
	transition: .5s ease;
  }
  .footer-form .form-btn:focus .icon,
  .footer-form .form-btn:hover .icon {
	transform: translate(55px, -45px) scale(1.7);
	transition: .5s ease;
  }
  .footer-form .form-btn .icon.active {
	transform: translate(60px, -55px) scale(0);
	transition: .5s ease;
  }
  .footer-form .form-btn span {
	display: block;
	margin-top: 15px;
	transition: .3s ease;
  }
	@media (max-width: 922px) {
	  .footer-form .form-btn span {
		margin-top: 0;
	  }
	}
  .footer-form .form-btn:focus span,
  .footer-form .form-btn:hover span {
	color: #fff;
	transform: scale(1.2) translateY(-15px);
	transition: .3s ease;
  }
  @media (max-width: 922px) {
	.footer-form .form-btn:focus span,
	.footer-form .form-btn:hover span {
	  transform: scale(1.2);
	  transition: .3s ease;
	}
  }
  .footer-form .form-btn-text {
	position: relative;
  }
  .footer-form .form-btn .tnx {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	margin: 0;
	opacity: 0;
	transform: scale(0);
	transition: .4s
  }
  .footer-form .form-btn .tnx.active {
	opacity: 1;
	transform: scale(1);
	transition: .4s
  }
  .footer-form .form-btn .send.active {
	opacity: 0;
	transform: scale(0);
	transition: .4s
  }
  .footer-form .form-checkbox {
	display: flex;
	align-items: center;
  }
	@media (max-width: 922px) {
	  .footer-form .form-checkbox {
		position: absolute;
		left: 260px;
		bottom: 12px;
	  }
	}
	@media (max-width: 580px) {
	  .footer-form .form-checkbox {
		position: relative;
		left: 0;
		bottom: 0;
	  }
	}
  .footer-form .form-checkbox input {
	position: relative;
	flex: 0 0 20px;
	height: 20px;
	width: 20px;
	color: #fff;
	background-color: transparent;
	-webkit-appearance: none;
  }
  .footer-form .form-checkbox input::before {
	content: '';
	position: absolute;
	height: 100%;
	width: 100%;
	border-radius: 50%;
	border: 1px solid #B1CFFF;
	box-sizing: border-box;
  }
  .footer-form .form-checkbox input::after {
	content: '';
	position: absolute;
	top: 50%;
	left: 50%;
	height: 6px;
	width: 6px;
	background: #fff;
	border-radius: 50%;
	transform: scale(0) translate(-50%, -50%);
	transform-origin: 0 0;
	transition: .2s ease-in-out;
  }
  .footer-form .form-checkbox input:checked::after {
	transform: scale(1) translate(-50%, -50%);
  }
  .footer-form .form-checkbox p {
	margin-left: 20px;
	font-weight: 400;
	font-size: 18px;
	line-height: 27px;
	color: #B1CFFF;
	transition: color .4s;
  }
  .footer-form .form-checkbox p > a {
	font-weight: 700;
	color: #fff;
	transition: .4s;
  }
  .footer-form .form-checkbox p > a:hover {
	color: #0C279B;
	transition: .4s;
  }
  .footer-info {
	display: grid;
	grid-template-columns: 114px 1fr;
	grid-gap: 0 calc(30px + (195 - 30) * ((100vw - 922px) / (1920 - 922)));
  }
	@media (max-width: 922px) {
	  .footer-info {
		grid-template-columns: 1fr;
		grid-gap: calc(55px + (64 - 55) * ((100vw - 414px) / (922 - 414))) 0;
	  }
	}
	@media (max-width: 414px) {
	  .footer-info {
		grid-gap: 55px 0;
	  }
	}
  .footer-menu {
	display: flex;
  }
  @media (max-width: 2050px) {
	.footer-menu {
	  margin-right: 100px;
	}
  }
	@media (max-width: 1920px) {
	  .footer-menu {
		margin-right: calc(50px + (100 - 50) * ((100vw - 922px) / (1920 - 922)));
	  }
	}
	@media (max-width: 922px) {
	  .footer-menu {
		justify-content: space-between;
	  }
	}
	@media (max-width: 767px) {
	  .footer-menu {
		flex-direction: column;
	  }
	}
  .footer-menu--item {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	max-width: 186px;
  }
	@media (max-width: 767px) {
	  .footer-menu--item {
		margin-bottom: 50px;
	  }
	  .footer-menu--item:last-child {
		margin-bottom: 0;
	  }
	}
  .footer-menu--item:nth-child(1) {
	margin-right: 122px;
  }
	@media (max-width: 1920px) {
	  .footer-menu--item:nth-child(1) {
		margin-right: calc(50px + (122 - 50) * ((100vw - 922px) / (1920 - 922)));
	  }
	}
	@media (max-width: 922px) {
	  .footer-menu--item:nth-child(1) {
		margin-right: 0;
	  }
	}
  .footer-menu--item:nth-child(2) {
	margin-right: 195px;
  }
	@media (max-width: 1920px) {
	  .footer-menu--item:nth-child(2) {
		margin-right: calc(125px + (195 - 125) * ((100vw - 922px) / (1920 - 922)));
	  }
	}
	@media (max-width: 922px) {
	  .footer-menu--item:nth-child(2) {
		margin-right: 0;
	  }
	}
  .footer-menu--item .title {
	position: relative;
	margin: 0 0 25px;
	font-weight: 700;
	font-size: 2.5rem;
	line-height: 3.1rem;
	color: #fff;
  }
	@media (max-width: 922px) {
	  .footer-menu--item .title {
		margin: 0 0 calc(20px + (25 - 20) * ((100vw - 414px) / (922 - 414)));
	  }
	}
	@media (max-width: 414px) {
	  .footer-menu--item .title {
		margin: 0 0 20px;
	  }
	}
  .footer-menu--item .title::before {
	content: '';
	position: absolute;
	top: 60%;
	right: -19px;
	display: block;
	width: 9px;
	height: 9px;
	background-color: #fff;
	border-radius: 50%;
	transform: translateY(-60%);
  }
  .footer-menu--item .link {
	position: relative;
	margin-bottom: 20px;
	font-weight: 500;
	font-size: 1.4rem;
	line-height: 1.7rem;
	color: #fff;
	transform: translateX(0);
	transition: all .4s;
  }
  .footer-menu--item .link.link-size {
	font-size: 1.4rem;
  }
  @media (max-width: 1920px) {
	.footer-menu--item .link.link-size {
	  font-size: 2rem;
	}
  }
  .footer-menu--item .link:last-child {
	margin-bottom: 0;
  }
  .footer-menu--item .link span {
	position: relative;
  }
  .footer-menu--item .link span::before {
	content: '';
	position: absolute;
	bottom: 5px;
	right: -10px;
	width: 5px;
	height: 5px;
	background-color: #0C279B;
	border-radius: 50%;
	transform: scale(0);
	transition: all .4s;
  }
  .footer-menu--item .link:hover {
	color: #0C279B;
	transform: translateX(10px);
	transition: all .4s;
  }
  .footer-menu--item .link:hover span::before {
	transform: scale(1);
	transition: all .4s;
  }
  .footer-menu--item .link.link-nohover {
	color: #fff;
	transform: translateX(0);
	transition: all .4s;
  }
  .footer-menu--item .link svg {
	position: absolute;
	top: 30%;
	right: -20px;
	display: block;
	transition: all .4s;
	fill: #fff;
  }
  .footer-menu--item .link:hover svg {
	fill: #0C279B;
	transition: all .4s;
  }
  .footer-copyright {
	display: flex;
	padding-top: 49px;
	font-weight: 500;
	font-size: 1.4rem;
	line-height: 1.7rem;
	color: #fff;
  }
	@media (max-width: 922px) {
	  .footer-copyright {
		justify-content: space-between;
		padding-top: calc(120px + (126 - 120) * ((100vw - 922px) / (1920 - 922)));
	  }
	}
	@media (max-width: 414px) {
	  .footer-copyright {
		padding-top: 120px;
	  }
	}
  .footer-copyright a {
	display: block;
	transform: translateX(0);
	transition: all .4s;
  }
  .footer-copyright a::before {
	content: '';
	position: absolute;
	top: 35%;
	right: -10px;
	width: 5px;
	height: 5px;
	background-color: #0C279B;
	border-radius: 50%;
	transform: scale(0);
	transition: all .4s;
  }
  .footer-copyright a:hover {
	color: #0C279B;
	transform: translateX(10px);
	transition: all .4s;
  }
  .footer-copyright a:hover::before {
	transform: scale(1);
	transition: all .4s;
  }
  .footer-copyright .policy {
	margin-left: calc(696px + (830 - 696) * ((100vw - 1920px) / (2500 - 1920)));
  }
	@media (max-width: 1920px) {
	  .footer-copyright .policy {
		margin-left: calc(385px + (696 - 385) * ((100vw - 922px) / (1920 - 922)));
	  }
	}
	@media (max-width: 922px) {
	  .footer-copyright .policy {
		margin-left: 0;
	  }
	}